Get a route's info
curl --request GET \
--url {schemes}://api.upsun.com/projects/{projectId}/environments/{environmentId}/routes/{routeId} \
--header 'Authorization: Bearer <token>'import requests
url = "{schemes}://api.upsun.com/projects/{projectId}/environments/{environmentId}/routes/{routeId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('{schemes}://api.upsun.com/projects/{projectId}/environments/{environmentId}/routes/{routeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"primary": true,
"production_url": "<string>",
"attributes": {},
"type": "proxy",
"tls": {
"strict_transport_security": {
"enabled": true,
"include_subdomains": true,
"preload": true
},
"min_version": "TLSv1.0",
"client_authentication": "request",
"client_certificate_authorities": [
"<string>"
]
},
"to": "<string>"
}Routing
Get a route's info
Get details of a route from an environment using the id of the entry
retrieved by the Get environment routes list
endpoint.
GET
/
projects
/
{projectId}
/
environments
/
{environmentId}
/
routes
/
{routeId}
Get a route's info
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
default - application/json
- Option 1
- Option 2
- Option 3
The identifier of ProxyRoute
This route is the primary route of the environment
How this URL route would look on production environment
Arbitrary attributes attached to this resource
Show child attributes
Show child attributes
Route type
Available options:
proxy, redirect, upstream TLS settings for the route
Show child attributes
Show child attributes
The destination of the proxy
Last modified on June 16, 2026
Was this page helpful?